:root {
    --r-catapult-orange: #ff5500;
}

@font-face {
    font-family: 'Mark Pro';
    src: url('MarkPro.otf');
}

.hidden {
    display: none !important;
}

body {
    overflow-y: scroll;
    min-width: 1000px;
}

body, select, textarea, input {
    font-family: 'Segoe UI', Helvetica, sans-serif;
}

body.busy,
body.busy * {
    cursor: progress !important;
}

body.with-backdrop {
    /*	overflow: hidden;*/
    position: fixed;
    width: 100%;
}

body.with-backdrop #layout_body {

}

table.stats-table {
    margin: 0;
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;
    border-radius: 0px;
    border-spacing: 0;
    border-collapse: collapse;
    table-layout: fixed;
}

table.stats-table td,
table.stats-table th {
    text-align: right;
    cursor: default;
}

table.stats-table td:first-child {
    text-align: left;
    font-weight: bold;
}

table.stats-table td:first-child span {
    color: gray;
    font-weight: normal;
}

span.star {
    color: red;
}

/**
 * section
 */
div.section {
    margin-bottom: 25px;
}

div.section > div.top {
    padding: 10px 0;
    border-bottom: 1px solid #D2D3D8;
    -webkit-box-shadow: 0px 5px 5px -5px rgba(0, 0, 0, 0.15);
    -moz-box-shadow: 0px 5px 5px -5px rgba(0, 0, 0, 0.15);
    box-shadow: 0px 5px 5px -5px rgba(0, 0, 0, 0.15);
    font-size: 20px;
    color: #4d4d4d;
}

div.section > div.body {
    padding: 25px 0;
}

/**
 * x-inputs
 */

input.x,
label.x,
select.x,
textarea.x,
button.x,
    /*input.x:hover,
    label.x:hover,
    select.x:hover,
    textarea.x:hover,
    button.x:hover,*/
    /*input.x:active,
    label.x:active,
    select.x:active,
    textarea.x:active,
    button.x:active,*/
input.x:focus,
label.x:focus,
select.x:focus,
textarea.x:focus,
button.x:focus {
    background-color: none;
    border: none;
    height: auto;
    margin: 0;
}


/**
 * Styles for labels, select, textarea, etc..
 */
label.x {
    font-weight: bold;
    display: block;
    margin-bottom: 5px;
    font-size: 110%;
}

input[type="text"].x,
input[type="password"].x,
input[type="email"].x,
select.x,
textarea.x {
    outline: none;
    padding: 5px;
    width: 100%;
    box-sizing: border-box;
    border: 1px solid #b8b9bd;
    border-right: 1px solid #eaebf0;
    border-bottom: 1px solid #eaebf0;
    background-color: #fbfbfc;
    font-size: 13px;
    line-height: 20px;
}

input[type="text"].x:focus,
input[type="password"].x:focus,
select.x:focus,
textarea.x:focus {
    background-color: #feffe8;
    border: 1px solid #9e9fa3;
    color: black;
}

textarea.x,
textarea.x:focus {
    height: 75px;
}

input[type="text"].x:disabled,
input[type="password"].x:disabled,
select.x:disabled {
    background: #efeff0;
    text-shadow: 1px 1px 0 rgba(255, 255, 255, 1);
    cursor: default;
    color: #a1a4ad;
}

select.x {
    -webkit-appearance: none;
    line-height: 20px;
    background-image: url('/titan/images/dropdown.svg');
    background-size: 16px 16px;
    background-repeat: no-repeat;
    background-position: 100% center;
}

/** Buttons */
input[type="reset"].x,
input[type="submit"].x,
button.x,
a.x {
    height: 35px;
    line-height: 35px;
    padding: 0 25px;
    border: none;
    background: #ff5500;
    color: white;
    border-radius: 3px !important;
    outline: none !important;
}

input[type="reset"].x:hover,
input[type="submit"].x:hover,
button.x:hover,
a.x:hover,
button:hover {
    box-shadow: rgba(119, 207, 233, .5) 0 0 6px 1px;
    color: black;
}

a.x:hover {
    text-decoration: none;
}

input[type="reset"].x:active,
input[type="submit"].x:active,
button.x:active,
a.x:active{
    position: relative;
    top: 1px;
}

input[type="reset"].x,
button.reset.x,
button.gray.x,
a.gray.x,
input[type="submit"].gray {
    background: #cccccc !important;
    color: #4d4d4d;
}

input[type="reset"].x:hover,
button.reset.x:hover,
button.gray.x:hover,
a.gray.x:hover,
input[type="submit"].gray:hover {
    color: black;
}

button.x:disabled,
a.x:disabled,
input[type="submit"].x:disabled,
input[type="reset"].x:disabled,
input[type="submit"].x:disabled:active,
input[type="reset"].x:disabled:active,
input[type="submit"].x:disabled:hover,
input[type="reset"].x:disabled:hover {
    top: 0;
    cursor: default;
    opacity: 0.5;
}

/** Referee styles **/
button.referee {
    align-items: center;
    background: var(--r-catapult-orange);
    border: 0;
    border-radius: 4px;
    display: flex;
    flex-direction: row;
    font-family: "Mark Pro", Roboto, Helvetica, Arial, sans-serif;
    font-size: 14px;
    font-weight: bold;
    height: 44px;
    letter-spacing: 2px;
    padding: 0 16px;
    position: relative;
    text-transform: uppercase;
}
button.referee::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

button.referee:hover::after {
    background: rgba(16, 16, 16, 0.04);
}

.referee-badge {
    align-items: center;
    background: #BFBFBF;
    color: #101010;
    border-radius: 4px;
    display: flex;
    flex-direction: row;
    font-size: 12px;
    font-family: "Mark Pro", Roboto, Helvetica, Arial, sans-serif;
    font-weight: 700;
    letter-spacing: 0.5px;
    line-height: 15px;
    padding: 4px 8px;
    text-transform: uppercase;
}

.referee-badge-info {
    background: #0074E0;
    color: #ffffff;
}

.referee-badge-success {
    background: #5EB886;
    color: #ffffff;
}

.referee-badge-warning {
    background: #E39907;
    color: #101010;
}

.referee-badge-error {
    background: #E91616;
    color: #ffffff;
}

/**
 * Inline controls
 */
.x.i {
    display: inline;
    font-weight: normal;
}

/**
 * Override style for .colorpicker
 */
.colorpicker {
    z-index: 999;
}

.colorpicker input {
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    -webkit-transition: none;
    -moz-transition: none;
    -o-transition: none;
    transition: none;
    width: 50px;
}

/**
 * Context menu style
 */
ul.contextMenu {
    width: 150px;
    position: absolute;
    left: 100px;
    top: 300px;
    background: white;
    -webkit-box-shadow: 4px 4px 15px rgba(50, 50, 50, 0.55);
    -moz-box-shadow: 4px 4px 15px rgba(50, 50, 50, 0.55);
    box-shadow: 4px 4px 15px rgba(50, 50, 50, 0.55);
    border: 1px solid #e5e5e5;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    z-index: 100000;
}


ul.contextMenu > li {

}

ul.contextMenu > li > a {
    text-decoration: none;
    display: block;
    padding: 0 5px;
    line-height: 25px;
    height: 25px;
    color: gray;
    border-top: 1px solid #f2f2f2;
    botder-bottom: 1px solid #e5e5e5;
    overflow: hidden;
}

ul.contextMenu > li > a:hover {
    color: black;
}

i.save, i.delete, i.load {
    display: inline-block;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: left bottom;
    height: 12px;
    width: 10px;
    margin-left: 5px;
    margin-right: 5px;
}

i.delete {
    background-image: url(/img/32x32/bin.png);
}

i.save {
    background-image: url(/img/32x32/add.png);
}

i.load {
    background-image: url(/img/32x32/arrow-up.png);
}


.tempchart-container {
    position: fixed;
    height: 100%;
    width: 100%;
    top: 0;
    z-index: 1000;
    left: 0;
    background-color: rgba(0, 0, 0, 0.2);
}

.tempchartdiv {
    margin: 0 auto;
    border-radius: 10px;
    width: 1000px;
    height: 534px;
    text-align: center;
    margin-top: 150px;
    background-color: #ffffff;
    color: black;
    position: relative;
}

.tempchartdiv .close {
    position: absolute;
    right: 15px;
    opacity: 1 !important;
    top: 15px;
    width: 14px;
    height: 14px;
    background-image: url(/titan/images/grey-cross.png);
    cursor: pointer;
}

.tempchartdiv.loading img {
    display: none;
}
